ATA_PCI_INIT_NAT(9)

NAME
ata_pci_init_native_mode - Initialize native-mode driver

SYNOPSIS

struct ata_probe_ent * ata_pci_init_native_mode (struct pci_dev * pdev, struct ata_port_info ** port, int ports);

ARGUMENTS

pdev
    pci device to be initialized

port
    array[2] of pointers to port info structures.

ports
    bitmap of ports present

DESCRIPTION

Utility function which allocates and initializes an ata_probe_ent structure for a standard dual-port PIO-based IDE controller. The returned ata_probe_ent structure can be passed to ata_device_add. The returned ata_probe_ent structure should then be freed with kfree.

The caller need only pass the address of the primary port, the secondary will be deduced automatically. If the device has non standard secondary port mappings this function can be called twice, once for each interface.

AUTHOR
Jeff Garzik.